Debian Bug report logs - #702029
ITP: patool -- portable archive file manager for the commandline console

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bastian Kleineidam <calvin@debian.org>

Date: Fri, 1 Mar 2013 20:51:05 UTC

Owned by: Bastian Kleineidam <calvin@debian.org>

Severity: wishlist

Fixed in version patool/1.0-1

Done: Bastian Kleineidam <calvin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#702029; Package wnpp. (Fri, 01 Mar 2013 20:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Kleineidam <calvin@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 01 Mar 2013 20:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: patool -- portable archive file manager for the commandline console
Date: Fri, 01 Mar 2013 21:39:38 +0100
Package: wnpp
Severity: wishlist
Owner: Bastian Kleineidam <calvin@debian.org>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

* Package name    : patool
  Version         : 1.0
  Upstream Author : Bastian Kleineidam <calvin@debian.org>
* URL             : http://wummel.github.com/patool/
* License         : GPL
  Programming Lang: Python
  Description     : portable archive file manager for the commandline console

Various archive formats can be created, extracted, tested, listed,
searched, compared and repacked by patool. The advantage of patool
is its simplicity in handling archive files without having to remember
a myriad of programs and options.

The archive format is determined by the file(1) program and as a
fallback by the archive file extension.

patool supports 7z (.7z), ACE (.ace), ADF (.adf), ALZIP (.alz), APE (.ape),
AR (.a), ARC (.arc), ARJ (.arj), BZIP2 (.bz2),
CAB (.cab), compress (.Z), CPIO (.cpio),
DEB (.deb), DMS (.dms), FLAC (.flac), GZIP (.gz), ISO (.iso), LRZIP (.lrz),
LZH (.lha, .lzh), LZIP (.lz), LZMA (.lzma), LZOP (.lzo), RPM (.rpm),
RAR (.rar), RZIP (.rz), SHN (.shn), TAR (.tar), XZ (.xz), ZIP (.zip, .jar)
and ZOO (.zoo) formats.
It relies on helper applications to handle those archive formats
(for example bzip2 for BZIP2 archives).

The archive formats TAR (.tar), ZIP (.zip), BZIP2 (.bz2) and GZIP (.gz)
are supported natively and do not require helper applications to be
installed.


[Note]
The package is inspired by the "atool" package. The advantages over atool
are:
- - Support for a lot more formats
- - Support for repacking
- - Support for comparing two archives
- - Support for searching in archives

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlExEgMACgkQeBwlBDLsbz5PkgCfRyCRJqrnE/kvlTUO2jtEe3Qw
2nUAn3bq8URVRLYsQTLVACP6aM4Mf5Pp
=ASwk
-----END PGP SIGNATURE-----



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Bastian Kleineidam <calvin@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 23:04:02 GMT) Full text and rfc822 format available.

Notification sent to Bastian Kleineidam <calvin@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 23:04:02 GMT) Full text and rfc822 format available.

Message #12 received at 702029-close@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: 702029-close@bugs.debian.org
Subject: Bug#702029: fixed in patool 1.0-1
Date: Fri, 12 Apr 2013 23:00:05 +0000
Source: patool
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
patool, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Kleineidam <calvin@debian.org> (supplier of updated patool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Mar 2013 19:12:32 +0100
Source: patool
Binary: patool
Architecture: source all
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Bastian Kleineidam <calvin@debian.org>
Changed-By: Bastian Kleineidam <calvin@debian.org>
Description: 
 patool     - command line archive file manager
Closes: 702029
Changes: 
 patool (1.0-1) unstable; urgency=low
 .
   * Official release (Closes: #702029)
Checksums-Sha1: 
 bd052471bc5d45233431f4794e8c9aa0a0e77b35 1060 patool_1.0-1.dsc
 71e1eb4acf91e27d9209c1036434d7902df3ae06 1965279 patool_1.0.orig.tar.gz
 00948a79ed0110d25c4451e24ba991e7dd6becce 2166 patool_1.0-1.debian.tar.gz
 11f1b709dcb88b9d145a99cfbec6ce48f9726558 30834 patool_1.0-1_all.deb
Checksums-Sha256: 
 37496432e0652a2288308c8fd8e7e9c7ad565fea92ae1d67b0768d18e03e7577 1060 patool_1.0-1.dsc
 dbbb14eea7f5841ee1cf6941bb5db9c5cb3f300d8f0a4755bad21e0263236037 1965279 patool_1.0.orig.tar.gz
 335889d44742e12e8f67478cd3fb832a3a5dec34447f7cc155110a140f979be1 2166 patool_1.0-1.debian.tar.gz
 74e4aab7bf0e4231b6d101844fa645aeb15620de5095d53fec96a8323e826fa0 30834 patool_1.0-1_all.deb
Files: 
 f1fdf5fee2b8a459edf281e995db1170 1060 utils optional patool_1.0-1.dsc
 11db88c57150647ea032d577df3a4fc7 1965279 utils optional patool_1.0.orig.tar.gz
 a1332fce614480314a96e91738c2a3b1 2166 utils optional patool_1.0-1.debian.tar.gz
 01b038eb26f787eea86ce70c67ced136 30834 utils optional patool_1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlE09s0ACgkQeBwlBDLsbz7gFwCfRs1/NH0Fr2x7nGO2kDBtwTqz
YG0An1WX2k8f6pFv/FX73uq8xvxlZT7b
=Zy+A
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:29:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:02:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.